Heldere API's. Uitgebreide SDK's. Grondige documentatie.
Gebouwd voor ontwikkelaars
Integreer identiteit in minuten met tools die je al kent. Alles is API-first.
Start in enkele minuten
Een paar regels code voor programmatisch identiteitsbeheer.
import { NooClient } from '@noo/sdk';
const noo = new NooClient({
domain: 'your-tenant.noo.eu',
apiKey: 'your-api-key',
});
const user = await noo.users.create({
email: 'jane@example.com',
name: 'Jane Doe',
role: 'member',
});
console.log(user.id); curl -X POST https://api.noo.eu/v1/users \
-H "Authorization: Bearer ${TOKEN}" \
-H "Content-Type: application/json" \
-d '{
"email": "user@example.com",
"name": "Jane Doe",
"role": "member"
}' SDK's en integraties
Clientbibliotheken, infrastructure-as-code en AI-native tooling.
JavaScript / TypeScript
Voor Node.js, Deno en browserapplicaties. Volledige TypeScript-ondersteuning.
Python
Inclusief Django- en Flask-integraties. Ondersteuning voor async.
Go
Idiomatische Go-client met context-ondersteuning en gestructureerde errors.
Java / Kotlin
Spring Boot starter en losse client. JDK 11+.
Terraform Provider
Beheer je volledige noo-infrastructuur als code en deploy via je bestaande CI/CD-pipeline.
resource "noo_tenant" "production" {
name = "production"
domain = "auth.example.com"
}
resource "noo_application" "web_app" {
tenant_id = noo_tenant.production.id
name = "Web Application"
redirect_uri = "https://app.example.com/callback"
grant_types = ["authorization_code"]
}
resource "noo_mfa_policy" "require_passkeys" {
tenant_id = noo_tenant.production.id
enforce = true
factors = ["passkey"]
} MCP Server
De noo MCP-server laat AI-agents identiteitsoperaties uitvoeren met hetzelfde permissiemodel als menselijke beheerders.
Ontwikkelaarservaring
OpenAPI 3.1-specificatie
Volledige API-documentatie met interactieve voorbeelden.
Webhooks
Realtime eventmeldingen voor gebruikerslevenscyclus-events met ondertekende payloads.
CLI-tool
Beheer tenants, gebruikers en configuratie vanuit je terminal.
Sandbox-omgeving
Gratis geisoleerde testomgeving, op elk moment resetbaar zonder rate limits.